import {ApiCall} from "tsrpc";
import {ReqOpen, ResOpen} from "../../../shared/protocols/event/shouchong/PtlOpen";
import {PayFun} from "../../../public/pay";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let payIds = [];
    for (let k in G.gc.shouchong) {
        payIds.push(G.gc.shouchong[k].payid)
    }

    let pays = await PayFun.getPayLogs(call.uid, payIds)

    call.succ({payIds: Object.keys(pays).filter((i) => pays[i].length > 0)});
}